Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::concat_fn Struct Reference

## Synopsis of methods
constexpr concat_fn | concat {}

## Public Member Functions
template<typename Rng >
all_t< Rng > | operator() (Rng &&rng) const
template<typename... Rngs>
concat_view< all_t< Rngs >... > | operator() (Rngs &&... rngs) const

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename Rng >

all_t<Rng> ranges::views::concat_fn::operator() | ( | Rng && | rng | ) | const

Precondition
  requires `viewable_range<Rng> && input_range<Rng>`

## ◆ operator()() [2/2]

template<typename... Rngs>

concat_view<all_t<Rngs>...> ranges::views::concat_fn::operator() | ( | Rngs &&... | rngs | ) | const

Precondition
  requires `and_v<(viewable_range<Rngs> && input_range<Rngs>)...>`